<div class="tabs">
  <a href="javascript:void(0)" class="tab half" ng-click="vm.selectedTab = 0" ng-class="{'active': vm.selectedTab == 0}">Wall <sub ng-if="vm.global.selectedUserIsMe && vm.unseen_posts != 0">{{vm.unseen_posts}}</sub></a>
  <a href="javascript:void(0)" class="tab half" ng-click="vm.selectedTab = 1" ng-class="{'active': vm.selectedTab == 1}">Activity</a>
</div>
<div class="container" ng-show="vm.selectedTab == 0">
  <div class="input-row full">
    <input type="text" ng-model="vm.newWallPost" placeholder="Write something to {{vm.global.selectedUserIsMe ? 'yourself' : vm.global.selectedUser.fullname}}." ng-keyup="vm.writeWallPost($event)">
    <a emoji-picker="vm.newWallPost" placement="bottom" class="emojipicker"></a>
  </div>
  <div class="splitter"></div>
  <div class="results-row" ng-show="!vm.editMode" ng-class="{'focus':vm.commentMode}">
    <div class="blur" ng-show="vm.commentMode" ng-click="vm.blur()"></div>
    <div class="empty" ng-show="vm.global.selectedUser.wall.length == 0">
      <p>NO RESULTS WERE FOUND.</p>
    </div>
    <div class="posts-row">
      <div class="col post" ng-repeat="post in vm.global.selectedUser.wall" ng-class="{'active':post.commentMode}">
        <a href="javascript:void(0)" ng-click="vm.navigateToUser(post.user_id)"><img ng-src="{{vm.findUser(post.user_id).img}}" onerror="this.src='assets/images/default-user.png'"></a>
        <h3><a href="javascript:void(0)" ng-click="vm.navigateToUser(post.user_id)">{{vm.findUser(post.user_id).fullname}}</a> {{vm.stateReplace(post.activity)}}</h3>
        <small>{{post.timestamp | relativeDate}}</small>
        <p>{{post.comment | emojify}}</p>
        <h2 ng-click="vm.focus(post)">
          <i class="fa fa-comments"></i>
          <span>{{post.comments_count}} comments</span>
        </h2>
        <button class="close-button" ng-class="{'visible': post.commentMode}" ng-click="vm.blur()">×</button>
        <button class="large-button red" ladda="post.submitLoading" ng-click="vm.delete($index)">DELETE</button>
        <div class="comments">
          <div class="comment-container">
            <input type="text" placeholder="WRITE A COMMENT" ng-keyup="vm.comment($event, post)" ng-model="vm.newComment">
            <a emoji-picker="vm.newComment" placement="bottom" class="emojipicker"></a>
          </div>
          <div class="comment" ng-repeat="comment in vm.global.selectedUser.wall_comments" ng-if="comment.topic_id == post.id">
            <img ng-src="{{vm.findUser(comment.user_id).img}}" alt="" onerror="this.src='assets/images/default-user.png'">
            <a ng-href="users/{{vm.findUser(comment.user_id).id}}">
            {{vm.findUser(comment.user_id).fullname}}
            <span class="split">&bull;</span>
            <span>{{comment.timestamp | relativeDate}}</span>
          </a>
            <p ng-bind-html="comment.comment | emojify"></p>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="container" ng-show="vm.selectedTab == 1">
  <div class="results-row">
    <div class="empty" ng-show="vm.global.selectedUser.activity.length == 0">
      <p>NO ACTIVITY WERE FOUND.</p>
    </div>
    <div class="activity-row">
      <div class="col user" ng-repeat="activity in vm.global.selectedUser.activity" ng-click="vm.navigateToActivity(activity)">
        <img class="profile-picture" ng-src="{{vm.getActivity(activity).image_path}}" onerror="this.src='assets/images/default-user.png'">
        <h3>{{activity.user_name + " " + activity.activity}}</h3>
        <h2>{{vm.getActivity(activity).name}}</h2>
      </div>
    </div>
  </div>
</div>